Skip to main content
GET
/
appointments
/
{appointmentId}
/
slots
cURL
curl --request GET \
  --url https://admin.fanfare.io/api/appointments/{appointmentId}/slots \
  --header 'Authorization: Bearer <token>'
{
  "appointmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "date": "2023-12-25",
  "slots": [
    {
      "appointmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "available": true,
      "bookedCount": 123,
      "endTime": "2023-11-07T05:31:56Z",
      "id": "<string>",
      "maxCapacity": 123,
      "percentageFilled": 123,
      "startTime": "2023-11-07T05:31:56Z",
      "attendees": [
        {
          "consumerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "email": "<string>",
          "name": "<string>",
          "status": "<string>"
        }
      ]
    }
  ],
  "timezone": "<string>",
  "locationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

Authorization
string
header
required

Fanfare secret key. Keep secret credentials on your server.

Path Parameters

appointmentId
string
required

Query Parameters

startDate
string
required
endDate
string
required
timezone
string

Response

Appointment slots retrieved successfully

appointmentId
string<uuid>
required
date
string<date>
required
slots
object[]
required
timezone
string
required
locationId
string<uuid> | null